import { Injectable } from '@angular/core';
import { Store} from '@ngrx/store';
import * as appCommonReducer from '../reducers/app-common.reducer'
import { IPackages } from '../models/package';


@Injectable({
  providedIn: 'root',
})

export class PackageService {
    private packages$:IPackages = {};

    constructor(private store$: Store<appCommonReducer.State>) {
        store$.select(appCommonReducer.SelectGetUserPackages).subscribe((packages) => {
            this.packages$ = packages;
        })
    }

    hasPackage(id:string):boolean {
       if(!this.packages$[id]) return false;
       return this.packages$[id].enabled == true;
    }
}